public class Nodo {
    protected String element;
    protected Nodo next, prev;

    /**costruttore che crea un nodo con campi assegnati */

   public Nodo(String e, Nodo p, Nodo n) {
        element = e;
        prev = p;
        next = n;
    }

   /**restituisce l'elemento nel nodo corrente */

    public String getElement() {
        return element;
    }

   /**restituisce il nodo precedente al nodo corrente */

    public Nodo getPrev() {
        return prev;
    }

   /**restituisce il nodo successivo al nodo corrente */

    public Nodo getNext() {
        return next;
    }

    public void setElement(String newElem){element = newElem;}
    public void setPrev(Nodo newPrev){prev = newPrev;}
    public void setNext(Nodo newNext){next = newNext;}
}
